#ifndef SOMF_NETLISTENER_H
#define SOMF_NETLISTENER_H


#include <Inventor/fields/SoMField.h>
#include <Inventor/fields/SoSubField.h>


class COIN_DLL_API SoMFNetListener : public SoMField {
  typedef SoMField inherited;

  SO_MFIELD_HEADER(SoMFNetListener, SbNetListener*, SbNetListener*);

public:
  static void initClass(void);

  void append(SbNetListener *l);
  void insert(SbNetListener *l, int idx);
  SbNetListener* get(int idx) const;
  int find(const SbNetListener *l) const;
  void remove(int index);
  void remove(SbNetListener *l);
  void removeAll();
  void replace(int idx, SbNetListener *l);
  void replace(SbNetListener *oldL, SbNetListener *newL);

  virtual void insertSpace(int start, int num);
  virtual void deleteValues(int start, int num = -1);
};


#endif // !SOMF_NETLISTENER_H
